Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.pp.output.html
Class HtmlOutputConfig

    java.lang.Object
      gudusoft.gsqlparser.pp.output.html.HtmlOutputConfig

All Implemented Interfaces:
  OutputConfig

    public class HtmlOutputConfig

extends java.lang.Object
implements OutputConfig

Constructor Summary
`HtmlOutputConfig(GFmtOpt option, EDbVendor dbVendor)`

Method Summary
`void` | `addHighlightingElementRender(HighlightingElement element, HighlightingElementRender setting)`
`boolean` | `containsHighlightingElementRender(HighlightingElement element)`
`java.lang.String` | `getGlobalFontName()`
`int` | `getGlobalFontSize()`
`HighlightingElementRender` | `getHighlightingElementRender(HighlightingElement element)`
`void` | `removeHighlightingElementRender(HighlightingElement element)`
`java.lang.String` | `renderHighlightingElement(TSourceToken token)`
`void` | `setGlobalFontName(java.lang.String globalFontName)`
`void` | `setGlobalFontSize(int globalFontSize)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlOutputConfig

    public HtmlOutputConfig(GFmtOpt option,
                            EDbVendor dbVendor)

Method Detail

### addHighlightingElementRender

    public void addHighlightingElementRender(HighlightingElement element,
                                             HighlightingElementRender setting)

  Specified by:
    `addHighlightingElementRender` in interface `OutputConfig`

### containsHighlightingElementRender

    public boolean containsHighlightingElementRender(HighlightingElement element)

  Specified by:
    `containsHighlightingElementRender` in interface `OutputConfig`

### getGlobalFontName

    public java.lang.String getGlobalFontName()

### getGlobalFontSize

    public int getGlobalFontSize()

### getHighlightingElementRender

    public HighlightingElementRender getHighlightingElementRender(HighlightingElement element)

  Specified by:
    `getHighlightingElementRender` in interface `OutputConfig`

### removeHighlightingElementRender

    public void removeHighlightingElementRender(HighlightingElement element)

  Specified by:
    `removeHighlightingElementRender` in interface `OutputConfig`

### setGlobalFontName

    public void setGlobalFontName(java.lang.String globalFontName)

### setGlobalFontSize

    public void setGlobalFontSize(int globalFontSize)

### renderHighlightingElement

    public java.lang.String renderHighlightingElement(TSourceToken token)

  Specified by:
    `renderHighlightingElement` in interface `OutputConfig`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD